## org.apache.lucene.analysis.ja.tokenattributes
Class InflectionAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.analysis.ja.tokenattributes.InflectionAttributeImpl

All Implemented Interfaces:
  Serializable, Cloneable, InflectionAttribute, org.apache.lucene.util.Attribute

    public class InflectionAttributeImpl

extends org.apache.lucene.util.AttributeImpl
implements InflectionAttribute, Cloneable

Attribute for Kuromoji inflection data.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.util.AttributeImpl
`enableBackwards`

Constructor Summary
`InflectionAttributeImpl()`

Method Summary
`void` `clear()`
`void` `copyTo(org.apache.lucene.util.AttributeImpl target)`
`String` `getInflectionForm()`
`String` `getInflectionType()`
`void` `reflectWith(org.apache.lucene.util.AttributeReflector reflector)`
`void` `setToken(Token token)`

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone, reflectAsString, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InflectionAttributeImpl

    public InflectionAttributeImpl()

Method Detail

### getInflectionType

    public String getInflectionType()

  Specified by:
    `getInflectionType` in interface `InflectionAttribute`

### getInflectionForm

    public String getInflectionForm()

  Specified by:
    `getInflectionForm` in interface `InflectionAttribute`

### setToken

    public void setToken(Token token)

  Specified by:
    `setToken` in interface `InflectionAttribute`

### clear

    public void clear()

  Specified by:
    `clear` in class `org.apache.lucene.util.AttributeImpl`

### copyTo

    public void copyTo(org.apache.lucene.util.AttributeImpl target)

  Specified by:
    `copyTo` in class `org.apache.lucene.util.AttributeImpl`

### reflectWith

    public void reflectWith(org.apache.lucene.util.AttributeReflector reflector)

  Overrides:
    `reflectWith` in class `org.apache.lucene.util.AttributeImpl`